「MediaWiki:Common.css」の版間の差分

提供: rys private potal site
編集の要約なし
編集の要約なし
 
(同じ利用者による、間の12版が非表示)
1行目: 1行目:
/* ここに記述したCSSはすべての外装に反映されます */
/* ここに記述したCSSはすべての外装に反映されます */
/*背景の色*/
/*背景の色*/
body { background-color: #ffff00 !important; }
body { background-color: #ffff00; }
/*背景*/
/*背景*/
.mw-page-container { background-color: #ffddaa !important; border-bottom-left-radius: 10px; border-bottom-right-radius: 10px; }
.vector-header-container { border-top-left-radius: 20px; border-top-right-radius: 20px; }
.mw-body { background-color: #ffc; text-color: #060; box-shadow: 5px 5px 6px #330; border-bottom-left-radius: 10px; border-top-right-radius: 10px; }/*記事エリアの背景*/
.mw-page-container { background-color: #ffaa00 !important; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px; }
.mw-body { background-color: #ffc; text-color: #060; box-shadow: 5px 5px 6px #330; border-bottom-left-radius: 10px; border-top-right-radius: 10px !important; padding: 5%; }/*記事エリアの背景*/
/*見出しのスタイル*/
/*見出しのスタイル*/
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
46行目: 47行目:
display: none; /* remove all tools and wikistuff */
display: none; /* remove all tools and wikistuff */


li#ca-edit { display: none; }
#ca-edit { display: none!important; }
#ca-talk { display:none!important; } /*議論タブを消す*/
#ca-history { display:none!important; } /*履歴表示タブを消す*/
#ca-viewsource { display:none!important; } /*ソース表示タブを消す*/

2025年5月17日 (土) 21:12時点における最新版

/* ここに記述したCSSはすべての外装に反映されます */
/*背景の色*/
body { background-color: #ffff00; }
/*背景*/
.vector-header-container { border-top-left-radius: 20px; border-top-right-radius: 20px; }
.mw-page-container { background-color: #ffaa00 !important; border-bottom-left-radius: 20px; border-bottom-right-radius: 20px; }
.mw-body { background-color: #ffc; text-color: #060; box-shadow: 5px 5px 6px #330; border-bottom-left-radius: 10px; border-top-right-radius: 10px !important; padding: 5%; }/*記事エリアの背景*/
/*見出しのスタイル*/
.mw-body h1, .mw-body h2 { font-family: sans-serif; }
.mw-body h2 { color: #f00; background-color: #fff; border-left:5px solid #940; border-bottom:1px solid #000; }
.mw-body h3 { color: green; }
/*リンクのスタイル*/
a:link { color: #f00; }
a:visited { color: #a00; }
div#mw-panel div.portal div.body ul li a:link { color: #800; }
div#mw-panel div.portal div.body ul li a:visited { color: #800; }
div#mw-panel div.portal div.body ul li a:hover { background-color: #ff0; }
/*画像の影*/
.mw-body img { box-shadow: 5px 5px 6px #880; }
/*メインページの文字を非表示にする*/
body.page-メインページ h1.firstHeading {display:none;}
body.page-メインページ #contentSub {display:none;}

/*左上ロゴ横回転*/
.mw-logo-icon { animation: logo 5s infinite; }
@keyframes logo {
0% {transform: perspective(400px) rotateY(0deg) }
100% {transform: perspective(400px) rotateY(360deg) }
}

/*リンクページボタン*/
.link a{ width: 50%; color: #008; background-color: #ff0; background-image: none; border: 1px solid black; border-radius: 10px; box-shadow: 5px 5px 6px #880; display: block; padding: 5px; margin-bottom: 10px;}
.link a:link{ color: #000;}
.link a:hover{text-decoration: none; box-shadow: 5px 5px 6px #880 inset;}

.catlinks { display: none; }

#mw-head-base,
#mw-page-base,
#mw-head,
#p-namespaces,
#footer,
.portal h5,
#p-tb,
#searchGoButton,
#mw-searchButton {
display: none; /* remove all tools and wikistuff */

#ca-edit { display: none!important; }
#ca-talk { display:none!important; } /*議論タブを消す*/
#ca-history { display:none!important; } /*履歴表示タブを消す*/
#ca-viewsource { display:none!important; } /*ソース表示タブを消す*/